; NSIS installer script for Knights.

;--------------------------------

; The name of the program to be installed
Name "Knights"

; The default installation directory
InstallDir $PROGRAMFILES\Knights

; Check installer wasn't corrupted during the download
CRCCheck on

; Licence text
LicenseData "LICENCE.txt"

;--------------------------------

; Pages

Page license
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "Knights"

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR

  ; Put files there
  File "knights.exe"
  File /r "knights_data"
  File /r "docs"
  File "README-SDL.txt"
  File "SDL.dll"
  File "LICENCE.txt"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Knights" "DisplayName" "Knights"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Knights" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Knights" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Knights" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
  ; Start Menu Shortcuts
  CreateDirectory "$SMPROGRAMS\Knights"
  CreateShortCut "$SMPROGRAMS\Knights\Uninstall.lnk" "$INSTDIR\uninstall.exe" 
  CreateShortCut "$SMPROGRAMS\Knights\Knights.lnk" "$INSTDIR\knights.exe" 
  CreateShortCut "$SMPROGRAMS\Knights\ReadMe.lnk" "$INSTDIR\docs\README.txt"
  CreateShortCut "$SMPROGRAMS\Knights\Original Knights Manual.lnk" "$INSTDIR\docs\Knights242.txt"
  
SectionEnd

;--------------------------------

; Uninstaller

Section "Uninstall"

  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Knights"

  ; Remove files and uninstaller
  Delete $INSTDIR\knights.exe
  Delete $INSTDIR\knights_data\*.bmp
  Delete $INSTDIR\knights_data\*.txt
  Delete $INSTDIR\knights_data\*.wav
  Delete $INSTDIR\docs\*.txt
  Delete $INSTDIR\SDL.dll
  Delete $INSTDIR\README-SDL.txt
  Delete $INSTDIR\LICENCE.txt
  Delete $INSTDIR\stdout.txt
  Delete $INSTDIR\stderr.txt
  Delete $INSTDIR\uninstall.exe

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\Knights\*.*"

  ; Remove directories used
  RMDir "$SMPROGRAMS\Knights"
  RMDir "$INSTDIR\knights_data"
  RMDir "$INSTDIR\docs"
  RMDir "$INSTDIR"

SectionEnd
