/*
 * loading_screen.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * Loading Screen
 * --- servers or local: loads ServerConfig
 * --- server: sends config to client
 * --- client: receives config from server
 * Sets UsefulStuff::server_config or UsefulStuff::client_config
 * Continues to MenuScreen.
 * 
 */

#ifndef LOADING_SCREEN_HPP
#define LOADING_SCREEN_HPP

#include "app/app2d.hpp"
#include "knights_game.hpp"

void SetupLoadingScreen(const UsefulStuff &u);
void StopLoadingScreen(const UsefulStuff &u);

class LoadingScreen : public AppObserver {
public:
	explicit LoadingScreen(const UsefulStuff &u) : us(u) { }
	virtual void render();
	virtual void update();
private:
	UsefulStuff us;
};

#endif

