/*
 * misc.hpp
 * Header included by all .cpp files.
 * Should probably make this an "official" file, with fixes for common compiler bugs, etc.
 * (See also $SVN/lib/misc/misc.hpp)
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef MISC_HPP
#define MISC_HPP

#ifdef NDEBUG

// Disable assertions
#define ASSERT(x)

#elif defined(BOOST_ENABLE_ASSERT_HANDLER)

// Use boost::assert
#include "boost/assert.hpp"
using namespace boost;
#define ASSERT(x) BOOST_ASSERT(x)

#else

// Use C standard assert command
#include <cassert>
using namespace std;
#define ASSERT(x) assert(x)

#endif

#endif

